package org.comefromchina.wiki;

public class Community {
	private String builder;
	private String location;
	private String name;
	private String type;
	private String map;
	private String crime;
	
	public Community () {
		
	}
	public Community (String builder, String loc, String name, String type, String map, String crime) {
		this.builder = builder;
		this.location = loc;
		this.name = name;
		this.type = type;
		this.map = map;
		this.crime = crime;
	}

	public String getLocation() {
		return location;
	}
	public void setLocation(String location) {
		this.location = location;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	
	public String toString() {

		StringBuilder sb = new StringBuilder();
		if (name != null) {
			sb.append("\t community name : <b>");
			sb.append(name);
			sb.append("</b>\n");
		}
		if (location != null) {
			sb.append("\t location : ");
			sb.append(location);
			sb.append("\n");
		}
		if (type != null) {
			sb.append("\t community type : ");
			sb.append(type);
			sb.append("\n");
		}
		sb.append("\n");
		return sb.toString();
	}
}
