package org.comefromchina.wiki;

import java.util.HashSet;

public class Builder {
	private HashSet<Community> newCommunity;
	private String name;
	private String website;
	private String description;
	private String bbbReportLink;
	private String tarionReportLink;
	private String JDPowerReportLink;
	
	
	public HashSet<Community> getNewCommunity() {
		return newCommunity;
	}
	public void setNewCommunity(HashSet<Community> newCommunity) {
		this.newCommunity = newCommunity;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getWebsite() {
		return website;
	}
	public void setWebsite(String website) {
		this.website = website;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getBbbReportLink() {
		return bbbReportLink;
	}
	public void setBbbReportLink(String bbbReportLink) {
		this.bbbReportLink = bbbReportLink;
	}
	public String getTarionReportLink() {
		return tarionReportLink;
	}
	public void setTarionReportLink(String tarionReportLink) {
		this.tarionReportLink = tarionReportLink;
	}
	public String getJDPowerReportLink() {
		return JDPowerReportLink;
	}
	public void setJDPowerReportLink(String jDPowerReportLink) {
		JDPowerReportLink = jDPowerReportLink;
	}
	public String toString() {
		StringBuilder sb = new StringBuilder();
		sb.append("name : ");
		sb.append(name);
		sb.append("\n");

		sb.append("<a href=\"");
		if (!website.contains("http")) {
			sb.append("http://");
		}
		sb.append(website);
		sb.append("\">");
		sb.append(website);
		sb.append("</a>\n");

		if (description != null) {
			sb.append("description :");
			sb.append("\n--------------------\n");
			sb.append(description);
			sb.append("\n--------------------\n");
		}
		
		if (bbbReportLink != null) {
			sb.append("<a href=\"");
			sb.append(bbbReportLink);
			sb.append("\">");
			sb.append(bbbReportLink);
			sb.append("</a>\n");
		}

		if (tarionReportLink != null) {
			sb.append("<a href=\"");
			sb.append(tarionReportLink);
			sb.append("\">");
			sb.append(tarionReportLink);
			sb.append("</a>\n");
		}

		if (JDPowerReportLink != null) {
			sb.append("<a href=\"");
			sb.append(JDPowerReportLink);
			sb.append("\">");
			sb.append(JDPowerReportLink);
			sb.append("</a>\n");
		}
		
		if (newCommunity != null) {
			for (Community c : newCommunity) {
				sb.append(c);
			}
		}
		return sb.toString();
	}
}
